Skip Menu |
 

This queue is for tickets about the PAR-Packer CPAN distribution.

Report information
The Basics
Id: 24444
Status: rejected
Priority: 0/
Queue: PAR-Packer

People
Owner: Nobody in particular
Requestors: be236 [...] hotmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: failed to install/make on Solaris
Date: Thu, 18 Jan 2007 15:58:25 -0800
To: <bug-PAR-Packer [...] rt.cpan.org>
From: "Andrew Le" <be236 [...] hotmail.com>
Download (untitled) / with headers
text/plain 869b
Hi, I downloaded your TAR package on Solaris 5.9 and ran Makefile.PL and took the default answers and it went for a bit, then died here: .... (15) ftp://cpan.pair.com/pub/CPAN/ (16) ftp://cpan.teleglobe.net/pub/CPAN 46 more items, hit RETURN to show them Select as many URLs as you like (by number), put them on one line, separated by blanks, hyphenated ranges allowed e.g. '1 4 5' or '7 1-4 8' [] 1 Enter another URL or RETURN to quit: [] New set of picks: ftp://archive.progeny.com/CPAN/ Please remember to call 'o conf commit' to make the config permanent! *** Dependencies will be installed the next time you type 'make'. (You may need to do that as the 'root' user.) *** Module::AutoInstall configuration finished. *** Installing dependencies... *** Cannot convert option default to CPANPLUS version. I cant get past this last error message above.
Download (untitled) / with headers
text/plain 1.4k
Hi, On Thu Jan 18 18:59:22 2007, be236@hotmail.com wrote: Show quoted text
> I downloaded your TAR package on Solaris 5.9 and ran Makefile.PL and > took the default answers and it went for a bit, then died here:
[...] Show quoted text
> *** Dependencies will be installed the next time you type 'make'. > (You may need to do that as the 'root' user.) > *** Module::AutoInstall configuration finished. > *** Installing dependencies... > *** Cannot convert option default to CPANPLUS version. > > I cant get past this last error message above.
either you are suffering from a weirdly configured system or this is a Module::(Auto)Install bug. I would go as far as claiming it's not really related to PAR::Packer in the least - except that PAR::Packer uses Module::Install. To get the module to run in your case, you can install all dependencies by hand from the CPAN shell. That is, run "cpan" and configure it. Make sure it works by installing some simple module first. Then, install all dependencies by typing (in the cpan shell) "install Compress::Zlib Archive::Zip Module::ScanDeps PAR PAR::Dist Getopt::ArgvFile Digest::SHA". Naturally, you could also type "install PAR::Packer" in the cpan shell and it should install fine on a "normal" Solaris. After those modules installed okay, you can unpack PAR::Packer and do the "perl Makefile.PL && make && make test && sudo make install" dance. If you want, you can bring this issue up to the Module::Install maintainers in the Module-Install queue. Steffen
Subject: Re: [rt.cpan.org #24444] failed to install/make on Solaris
Date: Fri, 19 Jan 2007 09:47:02 -0800
To: <bug-PAR-Packer [...] rt.cpan.org>
From: "Andrew Le" <be236 [...] hotmail.com>
Hi, I was able to install some single CPAN module just fine, such as Archive::Zip.. other dependencies could install for some reason or another... Right now I'm just about to give up on this unless you have other suggestions or would like to help me troubleshoot this further... Andrew Show quoted text
----- Original Message ----- From: "Steffen Müller via RT" <bug-PAR-Packer@rt.cpan.org> To: <be236@hotmail.com> Sent: Friday, January 19, 2007 1:19 AM Subject: [rt.cpan.org #24444] failed to install/make on Solaris
> > <URL: http://rt.cpan.org/Ticket/Display.html?id=24444 > > > Hi, > > On Thu Jan 18 18:59:22 2007, be236@hotmail.com wrote:
>> I downloaded your TAR package on Solaris 5.9 and ran Makefile.PL and >> took the default answers and it went for a bit, then died here:
> [...]
>> *** Dependencies will be installed the next time you type 'make'. >> (You may need to do that as the 'root' user.) >> *** Module::AutoInstall configuration finished. >> *** Installing dependencies... >> *** Cannot convert option default to CPANPLUS version. >> >> I cant get past this last error message above.
> > either you are suffering from a weirdly configured system or this is a > Module::(Auto)Install bug. I would go as far as claiming it's not really > related to PAR::Packer in the least - except that PAR::Packer uses > Module::Install. > > To get the module to run in your case, you can install all dependencies > by hand from the CPAN shell. That is, run "cpan" and configure it. Make > sure it works by installing some simple module first. Then, install all > dependencies by typing (in the cpan shell) "install Compress::Zlib > Archive::Zip Module::ScanDeps PAR PAR::Dist Getopt::ArgvFile Digest::SHA". > > Naturally, you could also type "install PAR::Packer" in the cpan shell > and it should install fine on a "normal" Solaris. > > After those modules installed okay, you can unpack PAR::Packer and do > the "perl Makefile.PL && make && make test && sudo make install" dance. > > If you want, you can bring this issue up to the Module::Install > maintainers in the Module-Install queue. > > Steffen >
Subject: Re: [rt.cpan.org #24444] failed to install/make on Solaris
Date: Sat, 20 Jan 2007 12:29:07 +0100
To: bug-PAR-Packer [...] rt.cpan.org
From: Steffen Mueller <o6hhmk002 [...] sneakemail.com>
Download (untitled) / with headers
text/plain 1.1k
Andrew Le via RT schrieb: Show quoted text
> Queue: PAR-Packer > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=24444 > > I was able to install some single CPAN module just fine, such as > Archive::Zip.. other dependencies could install for some reason or > another...
That is, *couldn't*? Show quoted text
> Right now I'm just about to give up on this unless you have other > suggestions or would like to help me troubleshoot this further...
Okay, you really *do* have a screwed up Perl installation somehow. I'd love to help you, but how do you expect me to help? I can't read your mind. What are the errors? This isn't related to PAR::Packer, really. If you want to install any meaningful piece of Perl code, you will have to fix your CPAN access somehow. It doesn't matter if this is failing for PAR::Packer or What::Ever. It's a broken CPAN.pm. How to go about fixing that, I can't tell you out of thin air. I really suggest you google for something like "how to configure cpan" or "install Perl modules using cpan" or so. Try to visit perlmonks.org and search that site. If nothing helps, bring this to some Perl beginners forum and ask there. Good luck! Steffen


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.